Subject: Re: libtool
From: "Gary V. Vaughan" <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Sat, 9 Sep 2000 13:41:49 +0100

On Sat, Sep 09, 2000 at 09:42:38PM +1100, Robert Collins wrote:
>     Other than hanging on make check your tar.gz built fine for me...

You need to force it to use the supplied getopts files -- the system
ones seem to be buggy.  Try this:

  ac_cv_func_getopt_long=no ./configure --with-modules --disable-nls

> how can I take the libtool you have in that archive and apply it to
> (say glib or orbit)?

You can extract the parts of libtool.m4 and ltdl.m4 from aclocal.m4
and add them to acinclude.m4 in your glib $top_srcdir.  This stuff is
between the definitions of AC_PROG_LIBTOOL and the end of
AC_LTDL_SYMBOL_USCORE.  You should then copy the ltconfig and
ltmain.sh from m4-1.4p over the versions you have in glib.

aclocal
automake
autoconf

and be careful not to clobber your hard work by running libtoolize!

> I realise exported variables need to be wrapped with declspec(dllexport)
> before building the dll but I thought you had the functions being done
> automatically? Is that an incorrect assumption?

You assumption is correct.  Gcc takes care of non-data exports.

HTH,
	Gary.
-- 
  ___              _   ___   __              _         mailto: [email-masked]
 / __|__ _ _ ___ _| | / / | / /_ _ _  _ __ _| |_  __ _ ___       [email-masked] 
| (_ / _` | '_|// / |/ /| |/ / _` | || / _` | ' \/ _` | _ \
 \___\__,_|_|\_, /|___(_)___/\__,_|\_,_\__, |_||_\__,_|//_/
home page:  /___/                      /___/                  gpg public key:
http://www.oranda.demon.co.uk           http://www.oranda.demon.co.uk/key.asc

--
Want to unsubscribe from this list?
Send a message to [email-masked]